Search
K
Embedded Finance Sandbox

Get hosted application simulation status

Get and return the current simlation status for the customer and the valid actions that can be performed.

get
https://sandbox-api.wayflyer.com/financing/company/hosted-application/simulation/

Headers

API-Versionstring

Allowed values:1

Response

200 application/json

OK

SimulationStatusResponse[HostedApplicationSimulationStatus, HostedApplicationSimulationAction]

statusstringrequired

Allowed values:APPLICATION_IN_PROGRESSAWAITING_UW_DECISIONAWAITING_ADDITIONAL_INFOAWAITING_OFFERS_DECISIONKYC_IN_PROGRESSAWAITING_KYC_DECISIONAWAITING_ADDITIONAL_KYC_INFOAWAITING_CONTRACT_SIGNINGREJECTEDCOMPLETEDCLOSED

valid_actionsarray[string]required

Allowed values:application-submitteddiscontinue-applicationpass-uwfail-uwrequest-additional-infoprovide-infoaccept-offerreject-offercomplete-kycpass-kycfail-kycsign-contractreject-contract

get/company/hosted-application/simulation/
 
200 application/json

Perform a simulation action

Perform a simulation action on company’s hosted application.

Returns HTTP 204 No Content on success.

post
https://sandbox-api.wayflyer.com/financing/company/hosted-application/simulation/

Headers

API-Versionstring

Allowed values:1

Body

application/json

Obj

Obj
Any Of
actionstringrequired

Allowed values:application-submitteddiscontinue-applicationfail-uwrequest-additional-infoprovide-infoaccept-offerreject-offercomplete-kycpass-kycfail-kycsign-contractreject-contract

Response

No Content

post/company/hosted-application/simulation/

Body

{}
 

Hand over a user to Wayflyer

Generate a URL to redirect the user to Wayflyer where they can continue their funding application.

Requires the company to have an open hosted application.

post
https://sandbox-api.wayflyer.com/financing/company/handover/

Headers

API-Versionstring

Allowed values:1

Response

application/json

OK

HandoverResponse

urlstringrequired
post/company/handover/
 
application/json

Create company token

Create a company token to be used to authenticate requests to company scoped endpoints on behalf of a company.

This should be called server-side and the resulting company token passed to the front end.

post
https://sandbox-api.wayflyer.com/financing/partner/company-token/

Headers

API-Versionstring

Allowed values:1

Body

application/json

CompanyTokenRequest

company_idstringrequired

An identifier in the partner’s system that uniquely identifies the company to create a token for

user_idstringrequired

An identifier in the partner’s system that uniquely identifies the specific user for the company

Response

application/json

OK

CompanyTokenResponse

tokenstringrequired

A token that can be used to authenticate requests to company scoped endpoints. Pass this to the front end

expires_inintegerrequired

The number of seconds until the token expires

post/partner/company-token/

Body

{ "company_id": "company_id", "user_id": "user_id" }
 
application/json

Create partner token

Create a partner token to be used to authenticate requests to partner scoped endpoints.

This should be called server-side. Never expose the partner_id or partner_secret or the resulting partner
token to the front end.

Requests are limited to 10 requests per IP per hour.

post
https://sandbox-api.wayflyer.com/financing/partner-token/

Headers

API-Versionstring

Allowed values:1

Body

application/json

PartnerTokenRequest

partner_idstringrequired

An identifier for the partner created and shared with the partner by Wayflyer during onboarding. Never expose this to the front end.

partner_secretstring(password)required

A secret that can be used to authenticate requests to partner scoped endpoints. Never expose this to the front end.

Response

application/json

OK

PartnerTokenResponse

tokenstringrequired

A token that can be used to authenticate requests to partner scoped endpoints. Never expose this to the front end

expires_inintegerrequired

The number of seconds until the token expires

post/partner-token/

Body

{ "partner_id": "partner_id", "partner_secret": "partner_secret" }
 
application/json